Bug 242896 - SIGSEGV with xorg-x11-server 1.3.0.0-5.fc7 (intel 945GM)
SIGSEGV with xorg-x11-server 1.3.0.0-5.fc7 (intel 945GM)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 05:53 EDT by Dieter Kasper
Modified: 2008-06-16 21:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:27:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file of the X-Server (126.68 KB, text/plain)
2007-06-06 05:53 EDT, Dieter Kasper
no flags Details
xrandr -q (1.19 KB, text/plain)
2007-06-11 08:07 EDT, Dieter Kasper
no flags Details
xdpyinfo -ext XFree86-VidModeExtension (7.53 KB, text/plain)
2007-06-11 08:08 EDT, Dieter Kasper
no flags Details
2nd log file of X-Server with SIGSEGV (158.52 KB, text/plain)
2007-06-13 04:15 EDT, Dieter Kasper
no flags Details
3rd log file of X-Server with SIGSEGV (242.11 KB, text/plain)
2007-06-13 04:16 EDT, Dieter Kasper
no flags Details
procedure to recreate the bug (100.46 KB, text/plain)
2007-08-06 03:15 EDT, Dieter Kasper
no flags Details

  None (edit)
Description Dieter Kasper 2007-06-06 05:53:29 EDT
Description of problem:
Sometimes the X-server crashed with SIGSEGV

Version-Release number of selected component (if applicable):
Current Operating System: Linux oder 2.6.21-1.3194.fc7 #1 SMP
Build Date: 11 May 2007
Build ID: xorg-x11-server 1.3.0.0-5.fc7


How reproducible:
Start a guest in VMwareWorkstation-6.0.0-45731 from PowerOff or Suspend
(SIGSEGV happens only sometimes, I coundn't detect the needed circumstances)


Steps to Reproduce:
1.run X11 with gnome
2.start vmware
3.start a guest (fromPowerOff or Suspend)
  
Actual results:
X11 crashes (and restarts ... Login Screen show up)

Expected results:
no crash of X11


Additional info: -
Comment 1 Dieter Kasper 2007-06-06 05:53:29 EDT
Created attachment 156331 [details]
log file of the X-Server
Comment 2 Adam Jackson 2007-06-07 10:50:10 EDT
Please attach the output of both:

$ xrandr -q
$ xdpyinfo -ext XFree86-VidModeExtension
Comment 3 Dieter Kasper 2007-06-11 08:07:40 EDT
Created attachment 156699 [details]
xrandr -q
Comment 4 Dieter Kasper 2007-06-11 08:08:33 EDT
Created attachment 156700 [details]
xdpyinfo -ext XFree86-VidModeExtension
Comment 5 Dieter Kasper 2007-06-13 04:15:58 EDT
Created attachment 156853 [details]
2nd log file of X-Server with SIGSEGV
Comment 6 Dieter Kasper 2007-06-13 04:16:55 EDT
Created attachment 156854 [details]
3rd log file of X-Server with SIGSEGV
Comment 7 Dieter Kasper 2007-08-06 03:15:47 EDT
Created attachment 160732 [details]
procedure to recreate the bug

Now I'm able to recreate the bug on request.
If needed you could enable additional traces while the
xorg-x11-server-Xorg-1.3.0.0-9.fc7 crashes:
* VMware runs under a screen with high resolution, e.g. 1600x1200 on
ext.display
* suspend the guest
* switch the screen to a lower resolution, e.g. 1400x1050 on build in LCD
* resume the guest
-> the X-server will crash
Comment 8 Dieter Kasper 2007-10-16 11:43:04 EDT
(In reply to comment #2)
> Please attach the output of both:
> 
> $ xrandr -q
> $ xdpyinfo -ext XFree86-VidModeExtension
I delivered the requested output.

If you could provide me a X-Server with symbols (not stripped) which will write
a core after the SIGSEGV crash, you should be able to to analyze the stack. 
I'm up for it!
Comment 9 Bug Zapper 2008-05-14 08:51:12 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 21:27:02 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.